Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 01-18-09, 08:25 PM   #1
pavlinux
Registered User
 
pavlinux's Avatar
 
Join Date: Feb 2006
Location: Moscow, Russia
Posts: 57
Thumbs up PATCH for NVidia 177.82 to run on kernel 2.6.28+

Slow work 180.22 version, i'm create a small patch for run with 2.8.28 kernels

TESTED ON X86_64

NVIDIA-Linux-x86_64-177.82-pkg2-for-2.6.28.patch.bz2

TODO
Quote:

# wget -c http://us.download.nvidia.com/XFree8...77.82-pkg2.run
# sh ./NVIDIA-Linux-x86_64-177.82-pkg2.run --extract-only
# cd NVIDIA-Linux-x86_64-177.82-pkg2
# wget http://www.pavlinux.ru/NVIDIA-Linux-...6.28.patch.bz2
# bzip2 -cd NVIDIA-Linux-x86_64-177.82-pkg2-for-2.6.28.patch.bz2 | patch -p1
# ./nvidia-installer -a -b -q -n -N --no-runlevel-check --no-abi-note --no-rpms --no-x-check --no-cc-version-check

Last edited by pavlinux; 01-20-09 at 03:50 AM.
pavlinux is offline   Reply With Quote
Old 01-19-09, 12:43 PM   #2
amdfanatyk
self-compiled user
 
Join Date: Jun 2008
Posts: 32
Default Re: PATCH for NVidia 177.82 to run on kernel 2.6.28+

Patch is broken.
I have "Unable to build NVIDIA module" error with this patch.
__________________
Palit GF 7300GT Sonic 400/1000 256MB DDR3 AGPX8
Fedora Core 4, 2.6.28.7-grsec, X.Org 7.2.0, Qt 3.3.8, KDE 3.5.5, GCC 4.2.3
amdfanatyk is offline   Reply With Quote
Old 01-20-09, 03:40 AM   #3
pavlinux
Registered User
 
pavlinux's Avatar
 
Join Date: Feb 2006
Location: Moscow, Russia
Posts: 57
Default Re: PATCH for NVidia 177.82 to run on kernel 2.6.28+

Quote:
Originally Posted by amdfanatyk View Post
Patch is broken.
I have "Unable to build NVIDIA module" error with this patch.
Complete error message please!
pavlinux is offline   Reply With Quote
Old 01-20-09, 04:00 AM   #4
pavlinux
Registered User
 
pavlinux's Avatar
 
Join Date: Feb 2006
Location: Moscow, Russia
Posts: 57
Default Re: PATCH for NVidia 177.82 to run on kernel 2.6.28+

Once again, I checked, it works!
pavlinux is offline   Reply With Quote
Old 01-20-09, 04:16 AM   #5
amdfanatyk
self-compiled user
 
Join Date: Jun 2008
Posts: 32
Default Re: PATCH for NVidia 177.82 to run on kernel 2.6.28+

I didn't notice it's for x86_64.
__________________
Palit GF 7300GT Sonic 400/1000 256MB DDR3 AGPX8
Fedora Core 4, 2.6.28.7-grsec, X.Org 7.2.0, Qt 3.3.8, KDE 3.5.5, GCC 4.2.3
amdfanatyk is offline   Reply With Quote
Old 01-20-09, 05:50 PM   #6
pavlinux
Registered User
 
pavlinux's Avatar
 
Join Date: Feb 2006
Location: Moscow, Russia
Posts: 57
Default Re: PATCH for NVidia 177.82 to run on kernel 2.6.28+

Quote:
Originally Posted by amdfanatyk View Post
I didn't notice it's for x86_64.
For all support

extract 177.82
extract 180.22

copy from 180.22 usr/src/nv/ to 177.82 usr/src/nv

next files:
Quote:
Makefile.kbuild, Makefile.nvidia, сonftest.sh
Next, edit nvacpi.c at line 140
replace
Quote:
unsigned long device_id = 0;
by
Quote:
nv_acpi_integer_t device_id = 0;
at line ~163 comment or remove stings:
Quote:
// assign driver data structure ptr to this device
acpi_driver_data(device) = pNvAcpiObject;
and at line 310
replace
Quote:
unsigned long state = 0;
by
Quote:
nv_acpi_integer_t state = 0;
pavlinux is offline   Reply With Quote
Old 01-21-09, 04:01 PM   #7
amdfanatyk
self-compiled user
 
Join Date: Jun 2008
Posts: 32
Default Re: PATCH for NVidia 177.82 to run on kernel 2.6.28+

It cannot be called patch. It's just piece of advice on how manually edit source code. Moreover there is no need to extract anything since we have --apply-patch command.
__________________
Palit GF 7300GT Sonic 400/1000 256MB DDR3 AGPX8
Fedora Core 4, 2.6.28.7-grsec, X.Org 7.2.0, Qt 3.3.8, KDE 3.5.5, GCC 4.2.3
amdfanatyk is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
Random crashes, NVRM Xid messages Iesos NVIDIA Linux 90 10-04-12 03:27 AM
Corrupted display - 302.17 - Dell Precision T3500 (G98 [Quadro NVS 295]) gbailey NVIDIA Linux 1 06-27-12 10:24 AM
UEFI+Nvidia - NVRM: Your system is not currently configured to drive a VGA console... interzoneuk NVIDIA Linux 0 06-26-12 04:51 AM
xorg locks-up with newest nvidia drivers w/ vdpau. theroot NVIDIA Linux 1 06-24-12 11:04 AM
Crash when logout from X TGL NVIDIA Linux 10 09-13-02 08:22 PM

All times are GMT -5. The time now is 09:56 PM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.